NavigationTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jsf.NavigationTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jsf
Class NavigationTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.jsf.NavigationTagsHandler

public class NavigationTagsHandler
extends XDocletTagSupport

Author:
  Markus Plattner
xdoclet.taghandler
  namespace="FacesNavigation"
created
  28. Juni 2004

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`NavigationTagsHandler()`

Method Summary
`void` | `forAllRules(String template)`
`void` | `forAllViews(String template)`
`String` | `fromView()`
`String` | `outcome()`
`String` | `toView()`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigationTagsHandler

    public NavigationTagsHandler()

Method Detail

### forAllRules

    public void forAllRules(String template)
                     throws XDocletException

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### fromView

    public String fromView()

  Returns:
  doc.tag
    type="content"

### toView

    public String toView()

  Returns:
  doc.tag
    type="content"

### outcome

    public String outcome()

  Returns:
  doc.tag
    type="content"

### forAllViews

    public void forAllViews(String template)
                     throws XDocletException

  Parameters:
    `template` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD